Page MenuHomePhabricator

Allow to filter the user block log by types
Closed, ResolvedPublic

Description

The possibilitys are:

  • block
  • unblock
  • reblock
  • IP blocked
  • User blocked

This is at the moment avaible, when request this data via API

Event Timeline

Luke081515 updated the task description. (Show Details)
Luke081515 raised the priority of this task from to Needs Triage.
Luke081515 added a project: MediaWiki-Logging.
Luke081515 set Security to None.
Luke081515 added subscribers: Luke081515, Aklapper.

Also a good possbility: Search after block parameters (autblock disabled, etc), or after the block duration, mybe also a not exact value (like bigger than 20 hours)

Aklapper triaged this task as Lowest priority.Aug 17 2015, 10:39 AM

(General note: For feature requests it's general welcome to provide specific usecases for the requested functionality.)

For example: At dewiki there are a lot of IPs and single purpose accounts, which are blocked every day, but if you don't use the API, you can not find senior users, who are blocked (you can search after a user, which is not blocked infinit)

Luke081515 updated the task description. (Show Details)Aug 17 2015, 10:50 AM
Luke081515 renamed this task from Allow to filter the user block log after types to Allow to filter the user block log by types.Mar 31 2016, 11:23 PM

Most of this task is resolved, except of IP/User blocked. Should this task marked as resolved though?

I don't see a block vs. unblock vs. reblock filter, @MGChecker

@Krenair: I think you just missed it, look for example at MediaWiki.org.

Krenair closed this task as Resolved.Apr 10 2016, 7:14 PM

I don't consider the IP vs. account blocked distinction to be relevant to the types, so I agree this was done